# Created by pyp2rpm-0.5.1
%global pypi_name lettuce

Name:           python-%{pypi_name}
Version:        0.2.19
Release:        2%{?dist}
Summary:        Behaviour Driven Development for Python

License:        GPLv3+
URL:            http://lettuce.it/
Source0:        http://pypi.python.org/packages/source/l/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# to get tests:
# git clone https://github.com/gabrielfalcao/lettuce.git && cd lettuce
# git checkout a6461d0 && tar -czf lettuce-0.2.19-tests.tgz tests/
Source1:        %{pypi_name}-%{version}-tests.tgz
BuildArch:      noarch

Requires:       mailcap
Requires:       python-fuzzywuzzy
Requires:       python-setuptools
Requires:       python-sure
# If file /etc/mime.types (from mailcap package) is not present, Python returns javascript mimetype
# 'application/x-javascript'. This is IMHO wrong behaviour, as IANA specifies application/javascript.
# application/x-javascript causes 3 tests to fail, so requiring mailcap for now.
# Report to Python: http://bugs.python.org/issue15199
BuildRequires:  mailcap
BuildRequires:  python2-devel
BuildRequires:  python-cssselect
BuildRequires:  python-django
BuildRequires:  python-fuzzywuzzy
BuildRequires:  python-lxml
BuildRequires:  python-mock
BuildRequires:  python-mox
BuildRequires:  python-nose
BuildRequires:  python-setuptools
BuildRequires:  python-sure
BuildRequires:  python-tornado


%description
Lettuce is a Behavior Driven Development tool for Python, 100%% inspired on
Cucumber - BDD with elegance and joy.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}
chmod a+x %{buildroot}%{python_sitelib}/%{pypi_name}/bin.py


%check
tar xzf %{SOURCE1}
export PYTHONPATH=$(pwd)
nosetests -s tests/unit
nosetests -s tests/functional


%files
%doc README.md COPYING
%{_bindir}/lettuce
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 24 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 0.2.19-1
- Updated to version 0.2.19.

* Tue Aug 06 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.2.18-1
- Updated to version 2.18.1.
- Don't run integration tests - not officially supported by upstream.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 18 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.2.14-1
- Update to version 0.2.14.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 29 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.2.5-2
- Fixed rpmlint warnings (mixed tabs/spaces, non-executable script).

* Wed Jun 27 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.2.5-1
- Update to version 0.2.5.
- Fixed license to GPLv3+.
- Fixed URL tag.
- Removed patch that made it upstream.

* Wed Jun 20 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.2.4-1
- Initial package.
